package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Costrlprice;

public interface CustomPriceService {
    /**
     * 添加指标单价
     *
     * @param costrlprice 指标单价信息表
     * @return true or false
     */
    boolean insertPrice(Costrlprice costrlprice);

    /**
     * 删除指标单价
     *
     * @param id 指标id
     * @return true or false
     */
    boolean deletePrice(String id);

    /**
     * 修改指标单价
     *
     * @param costrlprice 指标单价信息
     * @return true or false
     */
    boolean updatePrice(Costrlprice costrlprice);

    /**
     * 查看历史指标单价
     *
     * @param page page
     * @param year year
     * @return true or false
     */
    Page viewPrice(Page page, String year, String start, String end);

    /**
     * 查询最新单价
     * @param year 年份
     * @return list
     */
    Page viewNewPrice(Page page,String year);

}
